io.vertx.rxjava3.sqlclient.templates

## Class TupleMapper<T>

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.templates.TupleMapper<T>

-     public class TupleMapper<T>
      extends Object

  Map an arbitrary `T` object to a .

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TupleMapper>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleMapper(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`
    `TupleMapper(TupleMapper delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `TupleMapper` | `getDelegate()`
    `int` | `hashCode()`
    `static TupleMapper<JsonObject>` | `jsonObject()` Map a to a .
    `Tuple` | `map(java.util.function.Function<Integer,String> mapping, int size, T params)` The internal mapper contract that builds a tuple.
    `static <T> TupleMapper<T>` | `mapper(java.util.function.Function<T,Map<String,Object>> fn)` Create a mapper that associates a parameters object to a map of named parameters to their respective value.
    `static <T> TupleMapper<T>` | `newInstance(TupleMapper arg)`
    `static <T> TupleMapper<T>` | `newInstance(TupleMapper arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TupleMapper> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### TupleMapper

          public TupleMapper(TupleMapper delegate)

    - #### TupleMapper

          public TupleMapper(Object delegate,
                             io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TupleMapper getDelegate()

    - #### mapper

          public static <T> TupleMapper<T> mapper(java.util.function.Function<T,Map<String,Object>> fn)

      Create a mapper that associates a parameters object to a map of named parameters to their respective value.
      Parameters:
        `fn` - the function turning a parameters object into a map
      Returns:
        the mapper

    - #### jsonObject

          public static TupleMapper<JsonObject> jsonObject()

      Map a to a .
      Returns:

    - #### map

          public Tuple map(java.util.function.Function<Integer,String> mapping,
                           int size,
                           T params)

      The internal mapper contract that builds a tuple.
      Parameters:
        `mapping` - associates an index to template parameter name
        `size` - the tuple size
        `params` - the parameters object
      Returns:
        the tuple

    - #### newInstance

          public static <T> TupleMapper<T> newInstance(TupleMapper arg)

    - #### newInstance

          public static <T> TupleMapper<T> newInstance(TupleMapper arg,
                                                       io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2024 Eclipse. All rights reserved.